Bug 165032 - kerberized rcp can't copy files over 2GB
kerberized rcp can't copy files over 2GB
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: krb5 (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
:
Depends On:
Blocks: 168426 198824
  Show dependency treegraph
 
Reported: 2005-08-03 14:25 EDT by Neil Horman
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHEA-2006-0080
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 10:42:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to correct typing of size variable so as not to overflow and break rcp transfer (441 bytes, patch)
2005-08-03 14:25 EDT, Neil Horman
no flags Details | Diff

  None (edit)
Description Neil Horman 2005-08-03 14:25:30 EDT
Description of problem:
kerberized rcp can't transfer files over 2GB in size.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.set up a client on a kerberos realm
2.kinit to a user that has access to both the rcp client and rcp server machine
3.rcp a file more than 2GB in size from the server to the client
  
Actual results:
rcp fails with lost connection, or size not delimited error.

Expected results:
file should be transferred w/o errors

Additional info:
Comment 1 Neil Horman 2005-08-03 14:25:31 EDT
Created attachment 117419 [details]
patch to correct typing of size variable so as not to overflow and break rcp transfer
Comment 14 Red Hat Bugzilla 2006-03-15 10:42:47 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2006-0080.html

Note You need to log in before you can comment on or make changes to this bug.